
Contact Form - Bug #2082

Redmine 2.x support

30 Jun 2012 22:56 - Logical And

Status: Closed Start date: 30 Jun 2012

Priority: Normal Due date: 04 Mar 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1.0   

Redmine version: 2.0.2 External issue:  

Description

Add please Redmine 2.x support.

Thanks Андрей! 

/var/www/redmine/plugins/contact_form/init.rb:6:in `<top (required)>': uninitialized constant RAIL

S_DEFAULT_LOGGER (NameError)

        from /var/www/redmine/lib/redmine/plugin.rb:129:in `block in load'

        from /var/www/redmine/lib/redmine/plugin.rb:120:in `each'

        from /var/www/redmine/lib/redmine/plugin.rb:120:in `load'

Associated revisions

Revision 33 - 16 Dec 2012 15:58 - Andriy Lesyuk

Fixed routes (#2082)

Revision 35 - 19 Dec 2012 10:21 - Andriy Lesyuk

Fixed #class_inheritable_accessor (#2082)

Revision 36 - 26 Dec 2012 12:04 - Andriy Lesyuk

Fixed contact form for Redmine 2.x.x (#2082)

Revision 37 - 01 Jan 2013 10:43 - Andriy Lesyuk

Fixed Mailer for Rails 3 etc (#2082)

Revision 38 - 01 Jan 2013 13:56 - Andriy Lesyuk

Added layout and template (#2082)

History

#1 - 11 Oct 2012 01:58 - Yehuda Katz

I would also like to add that I have not been able to get any of your plugins (including this one) to work on Redmine 2.1.2.

#2 - 11 Oct 2012 08:59 - Andriy Lesyuk

Yehuda Katz wrote:

I would also like to add that I have not been able to get any of your plugins (including this one) to work on Redmine 2.1.2.

 

Every plugin has the “Supports” field on its overview page, where there are supported Redmine and ChiliProject versions (after ;) listed... I still work

on porting plugins to 1.4.x, 2.0.x and 2.1.x. If the plugin, which has the 2.1.x version in the supported list, does not work, please fire the bug report.

Otherwise please wait.

19 Apr 2024 1/3



#3 - 11 Oct 2012 16:40 - Yehuda Katz

Andriy Lesyuk wrote:

Every plugin has the “Supports” field on its overview page, where there are supported Redmine and ChiliProject versions (after ;) listed... I still

work on porting plugins to 1.4.x, 2.0.x and 2.1.x. If the plugin, which has the 2.1.x version in the supported list, does not work, please fire the bug

report. Otherwise please wait.

 

OK, I missed the ;. Sorry.

I meant to suggest that it seems that all the plugins need the same changes for the new versions. I don’t understand enough yet about the

Redmine/Chili plugin architecture, but if you have one plugin that is migrated that I can look at, I will mess around with the other ones myself.

#4 - 11 Oct 2012 16:50 - Andriy Lesyuk

- Status changed from New to Open

Issues are not strictly the same, unfortunately...  There are some common but usually there is a “bonus” or several.

#5 - 11 Oct 2012 19:02 - Logical And

This plugin has 2.x support on the overview page. 

 scr.png 

#6 - 11 Oct 2012 19:08 - Andriy Lesyuk

Logical And wrote:

This plugin has 2.x support on the overview page. 

 

That stands for ChiliProject 2.x...

#7 - 11 Oct 2012 19:12 - Logical And

Got it. Would be nice to use it on Redmine 2.x too.

#8 - 08 Dec 2012 23:22 - Andriy Lesyuk

- Target version set to 0.1.0

#9 - 18 Dec 2012 19:22 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 40
http://projects.andriylesyuk.com/projects/base/wiki/Porting-to-Redmine-2


#10 - 04 Jan 2013 18:53 - Logical And

That’s fine. Almost half way up passed. 

#11 - 19 Jan 2013 23:44 - Andriy Lesyuk

- % Done changed from 40 to 70

#12 - 04 Mar 2013 12:46 - Andriy Lesyuk

- Due date set to 04 Mar 2013

- Status changed from In Progress to Closed

- % Done changed from 70 to 100
